# $Revision: 1.2 $, $Date: 2002/09/28 23:18:13 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	XML
%define		pnam	SAX-Machines
Summary:	XML::SAX::Machines Perl module
Summary(cs):	Modul XML::SAX::Machines pro Perl
Summary(da):	Perlmodul XML::SAX::Machines
Summary(de):	XML::SAX::Machines Perl Modul
Summary(es):	Mdulo de Perl XML::SAX::Machines
Summary(fr):	Module Perl XML::SAX::Machines
Summary(it):	Modulo di Perl XML::SAX::Machines
Summary(ja):	XML::SAX::Machines Perl ⥸塼
Summary(ko):	XML::SAX::Machines  
Summary(no):	Perlmodul XML::SAX::Machines
Summary(pl):	Modu Perla XML::SAX::Machines
Summary(pt):	Mdulo de Perl XML::SAX::Machines
Summary(pt_BR):	Mdulo Perl XML::SAX::Machines
Summary(ru):	  Perl XML::SAX::Machines
Summary(sv):	XML::SAX::Machines Perlmodul
Summary(uk):	  Perl XML::SAX::Machines
Summary(zh_CN):	XML::SAX::Machines Perl ģ
Name:		perl-XML-SAX-Machines
Version:	0.4
Release:	1
Epoch:		1
License:	Artistic, GPL or BSD
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
%if %{?_without_tests:0}%{!?_without_tests:1}
BuildRequires:	perl-XML-SAX >= 0.05
BuildRequires:	perl(XML::SAX::Base) >= 1.02
# doc say 0.4100001, so maybe too much, but safer
BuildRequires:	perl-XML-SAX-Writer >= 0.42
BuildRequires:	rpm-perlprov >= 3.0.3-16
%endif
Requires:	perl-XML-SAX >= 0.05
Requires:	perl(XML::SAX::Base) >= 1.02
# as above...
Requires:	perl-XML-SAX-Writer >= 0.42
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XML::SAX::Machines is a collection of APIs that allow complex SAX
machines to be constructed without a huge amount of extra typing.

%description -l pl
XML::SAX::Machines to zestaw API pozwalajcy na konstruowanie
zoonych konstrukcji SAX bez duej iloci nadmiarowego kodu.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README TODO
%{perl_sitelib}/XML/Filter/*.pm
%{perl_sitelib}/XML/SAX/*.pm
%{perl_sitelib}/XML/SAX/Machines
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-XML-SAX-Machines.spec,v $
Revision 1.2  2002/09/28 23:18:13  ankry
- added translations
- fix BRs, made them conditional
- version 0.4, epoch 1

Revision 1.1  2002/08/04 19:23:52  qboosh
- new

